﻿namespace ErrorPageZ.Classes
{
    public class CustomErrorPageInfo
    {                
        private int _statusCode;
        /// <summary>
        /// The HTTP status code that will result in redirection to the error page.
        /// </summary>
        public int statusCode
        {
            get { return _statusCode; }
            set { _statusCode = value; }
        }

        private string _redirect;
        /// <summary>
        /// The URL of the custom page mapped to the error code.
        /// </summary>
        public string redirect
        {
            get { return _redirect; }
            set { _redirect = value; }
        }

        private int _PageId;
        /// <summary>
        /// The visinia page id associated with the custom error
        /// </summary>
        public int PageId
        {
            get { return _PageId; }
            set { _PageId = value; }
        }
    }
}
