﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace viBlog.Classes
{
    /// <summary>
    /// The category of a post
    /// a post may have more than one categories
    /// </summary>
    public class Category
    {
        public Category() { }

        public Category(string name)
        {
            Name = name;
        }

        private int _CategoryId;
        /// <summary>
        /// The Id of a Category
        /// </summary>
        public int CategoryId
        {
            get { return _CategoryId; }
            set { _CategoryId = value; }
        }

        private string _Name;
        /// <summary>
        /// The Name of the Category
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
    }
}
