﻿using System;

namespace viForum.Classes
{
    public class BaseThread
    {
        private int _ForumId;
        /// <summary>
        /// The id of the forum
        /// </summary>
        public int ForumId
        {
            get { return _ForumId; }
            set { _ForumId = value; }
        }

        private int _ThreadId;
        /// <summary>
        /// The unique id of the thread
        /// </summary>
        public int ThreadId
        {
            get { return _ThreadId; }
            set { _ThreadId = value; }
        }

        private string _UserName;
        /// <summary>
        /// the user
        /// </summary>
        public string UserName
        {
            get { return _UserName; }
            set { _UserName = value; }
        }

        private string _Title;
        /// <summary>
        /// The title
        /// </summary>
        public string Title
        {
            get { return _Title; }
            set { _Title = value; }
        }

        private DateTime _Date;
        /// <summary>
        /// The date the data and time is added
        /// </summary>
        public DateTime Date
        {
            get { return _Date; }
            set { _Date = value; }
        }

        private string _Content;
        /// <summary>
        /// The contents
        /// </summary>
        public string Content
        {
            get { return _Content; }
            set { _Content = value; }
        }
    }
}
