﻿using System.Web.UI;
using viWiki.Controllers;

namespace viWiki.Classes
{    
    /// <summary>
    /// The base class for the wiki view controls
    /// </summary>
    public class PageView : UserControl
    {
        private WikiPage _WikiPage;
        public WikiPage WikiPage
        {
            get {
                _WikiPage.Content = WikiPageController.GetWikiPageHtmlContent(_WikiPage.WikiPageId);
                return _WikiPage;
            }
            set { _WikiPage = value; }
        }  
    }
}