﻿
namespace visinia.SmartEngine.Installer
{
    public class Plugin
    {
        private int _PluginId;
        /// <summary>
        /// The unique plugin id
        /// </summary>
        public int PluginId
        {
            get{ return _PluginId; }
            set{ _PluginId = value;}
        }

        private string _Name;
        /// <summary>
        /// Name of the plugin
        /// </summary>
        public string Name
        {
            get{ return _Name; }
            set{ _Name = value;}
        }

        private string _Description;
        /// <summary>
        /// The plugin info
        /// </summary>
        public string Description
        {
            get{ return _Description;}
            set{ _Description = value;}
        }

        private string _UrlSeparator;
        /// <summary>
        /// The plugin Url Separator
        /// </summary>
        public string UrlSeparator
        {
            get{ return _UrlSeparator;}
            set{ _UrlSeparator = value;}
        }

        private string _UrlRewriteController;
        /// <summary>
        /// The plugin Url Separator Controller Class
        /// </summary>
        public string UrlRewriteController
        {
            get { return _UrlRewriteController; }
            set { _UrlRewriteController = value; }
        }

        private string _SiteMapController;
        /// <summary>
        /// The plugin Sitemap Controller Class
        /// </summary>
        public string SiteMapController
        {
            get { return _SiteMapController; }
            set { _SiteMapController = value; }
        }

        private string _Version;
        /// <summary>
        /// The plugin Version
        /// </summary>
        public string Version
        {
            get{ return _Version;}
            set{ _Version = value;}
        }
    }
}
