﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AdminBar.ascx.cs" Inherits="Admin_Controls_AdminBar" %>
<%@ Register TagPrefix="visinia" TagName="ToolBox" Src="~/Admin/Controls/ToolBox.ascx" %>
<%@ Register TagPrefix="visinia" TagName="Pages" Src="~/Admin/Controls/Pages.ascx" %>
<input class="CurrentPageClass" id="CurrentPageId" type="hidden" runat="server" />
<div id="adminbar-wrap">
    <div id="adminbar-header">
        <div id="adminbar-menu">
            <ul class="menu">
                <li class="mode"><a href='<%# UserModeCommand() %>' title="Display Webpage">WEB</a></li>
                <li><a href='<%# visinia.SmartEngine.WebRoots.GetAdminRoot %>' title="Administer the website">
                    Admin</a></li>
                <li class="separator"><a onclick="window.open('<%# QuickPreview() %>')" title="Quick Preview">
                    Preview</a></li>
                <li id="progress-container"><span id="message"></span></li>
            </ul>
            <visinia:ToolBox ID="ToolBox" runat="server" />
            <visinia:Pages ID="Pages" runat="server" />
            <ul class="menu">
                <li><span id="panes-cb">
                    <input id="show-panes" title="Show Webpage Grid" type="checkbox" />Grid</span></li>
            </ul>
            <div id="user-links">
                <asp:LoginName ID="LoginName1" runat="server" />
                |
                <asp:LoginStatus ID="LoginStatus1" runat="server" LoginText="Log in" LogoutText="Log out" />
            </div>
            <%--<ul class="menu admin-notifications-container">
                <li class="admin-notifications"></li>
                <li class="admin-notifications"><a id="save-webpage" title="Save Webpage">Save</a></li>
                <li><p class="admin-notifications-message">Webpage Updated<span id="admin-progress">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></p></li>
            </ul>--%>
        </div>
    </div>
</div>
<div id="basic-modal-container">
</div>
