﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Menus.ascx.cs" Inherits="Admin_Pages__Menu_Menu_Menus" %>
<div class="admin-form">
    <h1>
        Menus
        <asp:Button CssClass="button-top" ID="NEW_MENU" runat="server" Text="Add Menu"
            OnClick="NEW_Menu_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Menus</h2>
        <asp:GridView ID="GridViewMenus" runat="server" OnRowCommand="GridViewMenus_RowCommand" 
            DataSourceID="ObjectDataSourceMenus" EnableModelValidation="True" 
            AutoGenerateColumns="False" GridLines="None">
            <Columns>
                <asp:BoundField DataField="MenuId" HeaderText="MenuId" 
                    SortExpression="MenuId" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:TemplateField HeaderText="Menu Items">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("MenuId"))) %>'
                            runat="server">Menu Items</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink2" CssClass="edit" NavigateUrl='<%# GetEditLink(Convert.ToInt32(Eval("MenuId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeleteMenu"
                            CommandArgument='<%# Eval("MenuId") %>' Text="Delete"></asp:LinkButton>                            
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSourceMenus" runat="server" 
            SelectMethod="GetMenus" TypeName="SmartMenu.Controllers.MenuController">
        </asp:ObjectDataSource>
    </div>
</div>
