﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageModules.ascx.cs"
    Inherits="visinia.web.admin.pages.AdminManageModules" %>
<div class="admin-form">
    <h1>
        Installed Modules
        <asp:Button CssClass="button-top" ID="NEW_MODULE" runat="server" 
            Text="Install Module" onclick="NEW_MODULE_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Installed Modules (sorted by Packages)</h2>
        <asp:Repeater ID="PackagesList" runat="server" OnItemDataBound="PackagesList_ItemDataBound">
            <HeaderTemplate>
                <table>
                    <tr>
                        <td>
            </HeaderTemplate>
            <ItemTemplate>
                <div style="background-color: #666666; clear: both; margin-bottom: 5px; font-weight: bold;
                    font-family: Verdana; color: #FFFFFF; font-size: 16px;
                    padding-left: 10px; line-height: 25px;">
                    <%# Eval("Package")%></div>
                <asp:Repeater ID="ModulesList" runat="server" OnItemCommand="ModulesList_ItemCommand">
                    <ItemTemplate>
                        <div style="margin: 5px; border: 1px solid #EEEEEE; padding: 5px 10px 5px 10px; float: left;">
                            <strong>
                                <%# Eval("name") %></strong><br />
                            <div style="padding: 5px 5px 5px 0px; float: left;">
                                <img alt="" src='<%# GetIcon((string)Eval("icon")) %>'
                                    width="20" height="20" /></div>
                            <em>Package:</em><%# Eval("Package") %>
                            <div class="spacer">
                            </div>
                            <asp:Button ID="UnInstall" OnClientClick="if(!confirm('Are you sure?')) return false;"
                                CssClass="button" runat="server" CommandArgument='<%# Eval("ModuleInstalledId") %>'
                                Text="UnInstall" CommandName="UnInstall" />
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
            </ItemTemplate>
            <FooterTemplate>
                </td></tr></table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
</div>
