﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageImages.ascx.cs"
    Inherits="visinia.web.admin.pages.ManageImages" %>
<div class="admin-form">
<h1>
        <%= Resources.translation.Media%></h1>
    <div class="admin-box data-table">
        <h2>
            <%= Resources.translation.MediaFiles%></h2>
        <asp:DropDownList ID="Directories" runat="server" CssClass="mid-width">
        </asp:DropDownList>
        <asp:Button ID="SelectDirectory" runat="server" Text="<%$Resources:translation, SelectFolder%>" OnClick="SelectDirectory_Click" CssClass="button"  />
        <br /><br /><asp:GridView ID="imagesGrid" runat="server" GridLines="None" AutoGenerateColumns="False"
            OnRowCommand="imagesGrid_RowCommand" 
            OnRowDeleting="imagesGrid_RowDeleting">
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:TemplateField HeaderText="<%$Resources:translation, Image%>">
                    <ItemTemplate>
                        <img src='<%# Eval("path") %>' alt='<%# Eval("name") %>' width="50" height="50" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="name" HeaderText="<%$Resources:translation, Name%>" />
                <asp:CommandField ShowDeleteButton="True" ControlStyle-CssClass="delete" />
            </Columns>
            <RowStyle BackColor="#F8F8F8" />
            <AlternatingRowStyle BackColor="#EFEFEF" />
        </asp:GridView>
    </div>
</div>
