﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ModuleSettings.aspx.cs" Inherits="visinia.web.admin.pages.ModuleSettingsPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Module Settings</title>
</head>
<body>
    <form id="form1" runat="server">
    <input runat="server" id="MODULE_ID" type="hidden" class="MODULE_ID" />
    <%--will be shown as the settings dialog title--%>
    <input runat="server" id="MODULE_NAME" type="hidden" />
    <div id="module_settings_tabs">
        <ul>
            <li><a href="#Standard_Settings">Standard</a></li>
            <li><a href="#Custom_Settings">Custom</a></li>
            <li><a href="#Help">Help</a></li>
        </ul>
        <div id="Standard_Settings">
            <div class="admin-form">
                <div class="admin-box">
                    <h2>
                        Module Standard Settings</h2>
                    <label class="label">
                        Title
                    </label>
                    <input runat="server" type="text" id="MODULE_TITLE" class="MODULE_TITLE" style="width: 98%" />
                    <label class="label">
                        Image Url
                    </label>
                    <input runat="server" type="text" id="MODULE_TITLE_IMAGE_URL" class="MODULE_TITLE_IMAGE_URL" style="width: 98%" />
                    <label class="help">
                        An image url which will be displayed with title like an icon (e.g. RSS icon)
                    </label>
                    <label class="label">
                        Image Navigation Url
                    </label>
                    <input runat="server" type="text" id="MODULE_TITLE_IMAGE_NAVIGATION_URL" class="MODULE_TITLE_IMAGE_NAVIGATION_URL" style="width: 98%" />
                    <label class="help">
                        The url of web page which will be displayed when clicked on the image given above
                        (e.g. RSS url)
                    </label>
                    <table>
                        <tr>
                            <td>
                                <label class="label">
                                    Css Class
                                </label>
                                <input runat="server" type="text" id="MODULE_CSSCLASS" class="MODULE_CSSCLASS" />
                            </td>
                            <td width="15">
                            </td>
                            <td>
                                <label class="label">
                                    Visible
                                </label>
                                <asp:DropDownList ID="MODULE_VISIBLE" CssClass="MODULE_VISIBLE" runat="server">
                                    <asp:ListItem>True</asp:ListItem>
                                    <asp:ListItem>False</asp:ListItem>
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label class="label">
                                    Width
                                </label>
                                <input runat="server" type="text" id="MODULE_WIDTH" class="MODULE_WIDTH" />
                                px<br />
                                <label class="help">
                                    Width of the module
                                </label>
                            </td>
                            <td width="15">
                            </td>
                            <td>
                                <label class="label">
                                    Height
                                </label>
                                <input runat="server" type="text" id="MODULE_HEIGHT" class="MODULE_HEIGHT" />
                                px<br />
                                <label class="help">
                                    Height of the module
                                </label>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div id="Custom_Settings">
            <div class="admin-form">
                <div class="admin-box">
                    <h2>
                        Module Custom Settings</h2>
                    <asp:Panel ID="MODULE_PRIVATE_SETTINGS" Visible="false" runat="server">
                    </asp:Panel>
                </div>
            </div>
        </div>
        <div id="Help">
            <div class="admin-form">
                <div class="admin-box">
                    <h2>
                        Module Help</h2>
                    <div id="HelpContainer" class="Helpbar">
                        <asp:PlaceHolder ID="CONTENTS" runat="server"></asp:PlaceHolder>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
