﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditUser.ascx.cs" Inherits="visinia.web.admin.pages.EditUser" %>
<div class="admin-form">
    <h1>
        <%= Resources.translation.EditUser%></h1>
    <div class="admin-box">
        <h2>
            <%= Resources.translation.EditUser%></h2>
        <label class="label">
            <%= Resources.translation.Name%>
        </label>
        <asp:TextBox ID="UserName" runat="server" Enabled="false"></asp:TextBox>
        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
            ErrorMessage="User Name is required." ToolTip="User Name is required.">*</asp:RequiredFieldValidator>
        <label class="label">
           <%= Resources.translation.email%>
        </label>
        <asp:TextBox ID="Email" runat="server"></asp:TextBox>
        <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
            ErrorMessage="E-mail is required." ToolTip="E-mail is required.">*</asp:RequiredFieldValidator>
    </div>
    <div class="spacer">
        <asp:Button CssClass="button important" ID="UPDATE" runat="server" Text="<%$Resources:translation, Update%>"
            OnClick="UPDATE_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="<%$Resources:translation, Cancel%>" OnClick="CANCEL_Click" />
    </div>
</div>
