﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageUsers.ascx.cs" Inherits="visinia.web.admin.pages.ManageUsers" %>
<div class="admin-form">
    <h1>
        <%= Resources.translation.Users%>
        <asp:Button CssClass="button-top" ID="NEW_USER" runat="server" Text="<%$Resources:translation, AddUser %>" OnClick="NEW_USER_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            <%= Resources.translation.Users%></h2>
        <asp:GridView ID="GridViewUSERS" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            DataKeyNames="UserName" OnRowDeleting="GridViewUSERS_RowDeleting" OnRowDataBound="GridViewUSERS_RowDataBound"
            OnRowCommand="GridViewUSERS_RowCommand" CellPadding="4" ForeColor="#333333" GridLines="None">
            <Columns>
                <asp:TemplateField HeaderText="<%$Resources:translation, Name %>" SortExpression="UserName">
                    <ItemTemplate>
                        <asp:Label ID="USERNAME" runat="server" Text='<%# Bind("UserName") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Eval("UserName") %>'></asp:Label>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Email" HeaderText="<%$Resources:translation, email %>" SortExpression="Email" />
                <asp:TemplateField HeaderText="<%$Resources:translation, Role %>">
                    <ItemTemplate>
                        <asp:CheckBoxList ID="CheckBoxListROLES" runat="server" RepeatDirection="Horizontal"
                            RepeatLayout="Flow" RepeatColumns="3">
                        </asp:CheckBoxList>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:ButtonField CommandName="Edit" HeaderText="<%$Resources:translation, Edit %>"  ControlStyle-CssClass="edit" ShowHeader="True" Text="<%$Resources:translation, Edit %>" />
                <asp:CommandField ShowDeleteButton="True" ControlStyle-CssClass="delete" HeaderText="<%$Resources:translation, Delete %>">
                    <ItemStyle HorizontalAlign="Center" />
                </asp:CommandField>                
            </Columns>
        </asp:GridView>
        <asp:Button CssClass="button important" ID="UPDATE" runat="server" Text="<%$Resources:translation, Update %>"
            OnClick="UPDATE_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="<%$Resources:translation, Cancel %>" OnClick="CANCEL_Click" />
    </div>
</div>
