﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Comment.ascx.cs" Inherits="Admin_Pages_viBlog_Comments_Comment" %>
<%@ Register TagPrefix="visinia" TagName="Editor" Src="~/js/Editors/LightEditor.ascx" %>
<div class="admin-form">
    <h1>
        <%=Resources.viblog.EditComment%></h1>
    <div class="admin-box">
        <h2>
            <%=Resources.viblog.Author%></h2>
        <label class="label">
            <%=Resources.viblog.Name%>
        </label>
        <asp:TextBox ID="Author" runat="server"></asp:TextBox>
        <label class="label">
            <%=Resources.viblog.email%>
        </label>
        <asp:TextBox ID="Email" runat="server"></asp:TextBox>
        <label class="label">
            <%=Resources.viblog.Website%>
        </label>
        <asp:TextBox ID="Website" runat="server"></asp:TextBox>
    </div>
    <div class="admin-box">
        <h2>
            <%=Resources.viblog.Contents%></h2>
        <visinia:Editor ID="Content" CssClass="simpleEditor" Height="200" runat="server" />
    </div>
    <div class="admin-box">
        <h2>
            <%=Resources.viblog.CommentStatus%></h2>
        <label class="label">
            <%=Resources.viblog.CommentStatus%>
        </label>
        <asp:DropDownList ID="Status" CssClass="mid-width" runat="server">
        <asp:ListItem Value="0" Text="<%$Resources:viblog, Pending%>" ></asp:ListItem>
        <asp:ListItem Value="1" Text="<%$Resources:viblog, Approved%>" ></asp:ListItem>
        <asp:ListItem Value="2" Text="<%$Resources:viblog, Spam%>" ></asp:ListItem>
        <asp:ListItem Value="3" Text="<%$Resources:viblog, Deleted%>" ></asp:ListItem>
        </asp:DropDownList>
        <div class="spacer">
        </div>
        <asp:Button CssClass="button important" ID="SAVE" runat="server" Text="Update" OnClick="SAVE_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="Cancel" OnClick="CANCEL_Click" />
    </div>
</div>
