﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RecentPosts.ascx.cs" Inherits="Admin_Pages_viBlog_Dashboard_Items_RecentPosts" %>
<div class="admin-box data-table half-box">
        <h2>
            Recent Blog Posts</h2>
    <asp:GridView ID="GridViewPOSTS" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            DataSourceID="ObjectDataSourceRecentPosts"
            CellPadding="4" GridLines="None">
            <Columns>
                <asp:BoundField DataField="PostId" HeaderText="Id" />
                <asp:TemplateField HeaderText="Title">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Title") %>'></asp:Label><br />
                        <em>
                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("Author") %>'></asp:Label>
                            on
                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("Date") %>'></asp:Label>
                        </em>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("PostId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>                
            </Columns>            
        </asp:GridView>
            <asp:ObjectDataSource ID="ObjectDataSourceRecentPosts" runat="server" 
            SelectMethod="GetPosts" TypeName="viBlog.Controllers.PostController">
                <SelectParameters>
                    <asp:Parameter DefaultValue="5" Name="count" Type="Int32" />
                </SelectParameters>
        </asp:ObjectDataSource>
            </div>