﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageCategoryPages.ascx.cs"
    Inherits="Admin_Pages_viNews_Categories_CategoryPages_ManageCategoryPages" %>
<div class="admin-form">
    <h1>
        Category Pages
    </h1>
    <div class="admin-box">
        <h2>
            News Pages Settings</h2>
        <table>
            <tr>
                <th>
                    Page
                </th>
                <th>
                    FrontPage
                </th>
                <th>
                    Content Page
                </th>
            </tr>
            <tr>
                <td>
                    viNews Main Page
                </td>
                <td>
                    <asp:LinkButton ID="ConfigureFrontPage" runat="server" OnClick="ConfigureFrontPage_Click">Configure</asp:LinkButton>
                </td>
                <td>
                    <asp:LinkButton ID="ConfigureContentPage" runat="server" OnClick="ConfigureContentPage_Click">Configure</asp:LinkButton>
                </td>
            </tr>
        </table>
    </div>

    <div class="admin-box">
        <h2>
            Manage Category Pages</h2>
        <asp:GridView ID="GridViewCATEGORYPAGES" runat="server" AutoGenerateColumns="False"
            OnRowCommand="GridViewCATEGORYPAGES_RowCommand" CellPadding="4" ForeColor="#333333"
            GridLines="None">
            <Columns>
                <asp:TemplateField HeaderText="CategoryId" SortExpression="CategoryId">
                    <ItemTemplate>
                        <asp:Label ID="LabelCategoryId" runat="server" Text='<%# Bind("CategoryId") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Category" SortExpression="ParentId">
                    <ItemTemplate>
                        <asp:Label ID="LabelCategoryParent" runat="server" Text='<%# GetName((int)Eval("ParentId")) %>'></asp:Label>
                        <asp:Label ID="Label1" runat="server" Text='<%# Eval("Name") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:ButtonField CommandName="ConfigurePage" HeaderText="Front page" Text="Configure" />
                <asp:ButtonField CommandName="ConfigureContentPage" HeaderText="Content Page" Text="Configure" />
                <asp:ButtonField CommandName="DeletePages" HeaderText="Delete Pages" Text="Delete Pages" />
            </Columns>
            <RowStyle BackColor="#ffffff" BorderColor="#f7f7f7" BorderWidth="1" BorderStyle="Solid" />
            <AlternatingRowStyle BackColor="#f7f7f7" />
        </asp:GridView>
    </div>

    <div class="admin-box">
        <h2>
            Create Category Pages</h2>
        <asp:GridView ID="GridViewSimple" runat="server" AutoGenerateColumns="False" OnRowCommand="GridViewSimple_RowCommand"
            CellPadding="4" ForeColor="#333333" GridLines="None">
            <Columns>
                <asp:TemplateField HeaderText="CategoryId" SortExpression="CategoryId">
                    <ItemTemplate>
                        <asp:Label ID="LabelCategoryId" runat="server" Text='<%# Bind("CategoryId") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Category" SortExpression="ParentId">
                    <ItemTemplate>
                        <asp:Label ID="LabelCategoryParent" runat="server" Text='<%# GetName((int)Eval("ParentId")) %>'></asp:Label>
                        <asp:Label ID="Label1" runat="server" Text='<%# Eval("Name") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:ButtonField CommandName="CreateCategoryPage" HeaderText="Create Category Page"
                    Text="Create" />
            </Columns>
            <RowStyle BackColor="#ffffff" BorderColor="#f7f7f7" BorderWidth="1" BorderStyle="Solid" />
            <AlternatingRowStyle BackColor="#f7f7f7" />
        </asp:GridView>
    </div>
</div>
