﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ApproveComments.ascx.cs"
    Inherits="Admin_Pages_viNews_Comments_ApproveComments" %>
<div class="admin-form">
    <h1>
        News Comments Approval
    </h1>
    <div class="admin-box data-table">
        <h2>
            Approve News Comments</h2>
        <asp:GridView ID="UNAPPROVED_COMMENTS" runat="server" AutoGenerateColumns="False"
            DataSourceID="ObjectDataSourceUnapprovedComments" AllowPaging="True" DataKeyNames="CommentId"
            CellPadding="4" ForeColor="#333333" GridLines="None">
            <Columns>
                <asp:TemplateField HeaderText="Id" SortExpression="CommentId">
                    <ItemTemplate>
                        <asp:Label ID="LabelCommentId" runat="server" Text='<%# Bind("CommentId") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Data">
                    <ItemTemplate>
                        <em>
                            <asp:Label ID="Label1" runat="server" Text='<%# Eval("Author") %>'></asp:Label></em>
                        On <em>
                            <asp:Label ID="Label2" runat="server" Text='<%# Eval("date") %>'></asp:Label></em>
                        email
                        <asp:Label ID="EMAIL" runat="server" Text='<%# Eval("Email") %>'></asp:Label>
                        <br />
                        <asp:Label ID="CONTENT" runat="server" Text='<%# Eval("Content") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Approve">
                    <ItemTemplate>
                        <asp:CheckBox ID="CheckBoxIsApproved" Checked='<%# Eval("IsApproved") %>' runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowDeleteButton="True" />
            </Columns>
            <RowStyle BackColor="#ffffff" BorderColor="#f7f7f7" BorderWidth="1" BorderStyle="Solid" />
            <AlternatingRowStyle BackColor="#f7f7f7" />
        </asp:GridView>
        <asp:Button CssClass="button important" ID="UPDATE" runat="server" Text="UPDATE" OnClick="UPDATE_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="CANCEL" OnClick="CANCEL_Click" />
    </div>
</div>
<asp:ObjectDataSource ID="ObjectDataSourceUnapprovedComments" runat="server" SelectMethod="GetUnapprovedComments"
    TypeName="viNews.Controllers.CommentController" DeleteMethod="DeleteComment">
    <DeleteParameters>
        <asp:Parameter Name="CommentId" Type="Int32" />
    </DeleteParameters>
</asp:ObjectDataSource>
