﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageTags.ascx.cs" Inherits="Admin_Pages_viNews_Tags_ManageTags" %>
<div class="admin-form">
    <h1>
        News Tags
    </h1>
    <div class="admin-box">
        <h2>
            Add new tag</h2>
        <table>
            <tr>
                <td>
                    Name
                </td>
                <td>
                    <asp:TextBox ID="TextBoxNewTag" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <asp:LinkButton ID="LinkButtonNewTag" runat="server" OnClick="LinkButtonNewTag_Click">Insert</asp:LinkButton>
                    <asp:LinkButton ID="LinkButtonCancel" runat="server" OnClick="LinkButtonCancel_Click">Cancel</asp:LinkButton>
                </td>
            </tr>
        </table>
    </div>
    
    <div class="admin-box data-table">
        <h2>
            Manage Tags</h2>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="TagId"
            DataSourceID="ObjectDataSourceTAGS" CellPadding="4" GridLines="None">
            <Columns>
                <asp:BoundField DataField="TagId" HeaderText="TagId" SortExpression="TagId" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:CommandField ShowDeleteButton="True" ControlStyle-CssClass="delete" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSourceTAGS" runat="server" DataObjectTypeName="viNews.Classes.Tag"
            DeleteMethod="DeleteTag" InsertMethod="AddTag" SelectMethod="GetTags" TypeName="viNews.Controllers.TagController">
        </asp:ObjectDataSource>
    </div>
</div>
