﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageNamespaces.ascx.cs"
    Inherits="Admin_Pages_viWiki_Namespaces_ManageNamespaces" %>
<div class="admin-form">
    <h1>
        Wiki Namespaces
        <asp:Button CssClass="button-top" ID="NEW_PAGE" runat="server" Text="Add Namespace"
            OnClick="NEW_PAGE_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Namespaces</h2>
        <em><strong>Note:</strong> Deleting a Namespace deletes all that Namespace wiki page
            as well.</em><br />
        <hr />
        <br />
        <asp:GridView ID="GridViewNamespaces" runat="server" AutoGenerateColumns="False" GridLines="None"
            DataSourceID="ObjectDataSourceNamespaces" OnRowCommand="GridViewNamespaces_RowCommand">
            <Columns>
                <asp:BoundField DataField="NamespaceInfoId" HeaderText="NamespaceInfoId" SortExpression="NamespaceInfoId" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="DefaultWikiPageId" HeaderText="Default WikiPage Id" SortExpression="DefaultWikiPageId" />
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="edit" ID="LinkButton2" runat="server" CausesValidation="false"
                            CommandName="Edit" CommandArgument='<%# Eval("NamespaceInfoId") %>' Text="Edit"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="Delete"
                            CommandArgument='<%# Eval("NamespaceInfoId") %>' Text="Delete"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSourceNamespaces" runat="server" SelectMethod="GetNamespaces"
            TypeName="viWiki.Controllers.NamespaceController"></asp:ObjectDataSource>
    </div>
</div>
