﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageWikiPages.ascx.cs"
    Inherits="Admin_Pages_viWiki_ManageWikiPages" %>
<div class="admin-form">
    <h1>
        Wiki Pages
        <asp:Button CssClass="button-top" ID="NEW_PAGE" runat="server" Text="Add Wki Page"
            OnClick="NEW_PAGE_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Wiki Pages</h2>
        <asp:GridView ID="GridViewPAGES" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            OnRowCommand="GridViewPAGES_RowCommand" DataSourceID="ObjectDataSourcePAGES" PageSize="20" GridLines="None">
            <Columns>
                <asp:BoundField DataField="WikiPageId" HeaderText="Id" />
                <asp:TemplateField HeaderText="Name">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Name") %>'></asp:Label><br />
                        <em>
                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("Author") %>'></asp:Label>
                            on
                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("Date") %>'></asp:Label>
                        </em>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Namespace">
                    <ItemTemplate>
                        <asp:Label ID="Label4" runat="server" Text='<%# GetNamespaceName(Convert.ToInt32(Eval("NamespaceInfoId"))) %>'></asp:Label><br />                        
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("NamespaceInfoId") %>'></asp:Label><br />                        
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Orphan">
                    <ItemTemplate>
                        <div style="width: 100%" align="center">
                            <asp:Image ID="ImageOrphan" ImageUrl='<%# GetImage(Convert.ToInt32(Eval("WikiPageId"))) %>'
                                runat="server" />
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>                
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:HyperLink CssClass="edit" ID="HyperLink1" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("WikiPageId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeletePage"
                            CommandArgument='<%# Eval("WikiPageId") %>' Text="Delete"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSourcePAGES" runat="server" SelectMethod="GetWikiPages"
            TypeName="viWiki.Controllers.WikiPageController"></asp:ObjectDataSource>
    </div>
</div>
