﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using viWiki.Classes;
using viWiki.Controllers;

public partial class Admin_Pages_viWiki_WikiSettings : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ROOTPAGE.Text = WikiController.WikiRootPageId.ToString();
            List<NamespaceInfo> namespaces = NamespaceController.GetNamespaces();
            foreach(NamespaceInfo nspace in namespaces)
            {
                List<WikiPage> wikipages = WikiPageController.GetWikiPagesByNamespace(nspace.NamespaceInfoId);
                foreach (WikiPage wikipage in wikipages)
                {
                    ListItem item = new ListItem(wikipage.Name + "\t[" + nspace.Name +  "]", wikipage.WikiPageId.ToString());
                    WIKIPAGES.Items.Add(item);
                }
            }
            WIKIPAGES.SelectedValue = WikiController.WikiMainPageId.ToString();           
        }
    }

    public void Save()
    {
        WikiController.WikiMainPageId = Convert.ToInt32(WIKIPAGES.SelectedValue);
    }
}
