﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="media-library.aspx.cs" Inherits="ClientScripts_media_library_media_library" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div id="media-library">
        <ul>
            <li><a href="#from-url">Standard</a></li>
            <li><a href="#media">Custom</a></li>
        </ul>
        <div id="from-url">
            <div class="admin-form">
                <div class="admin-box">
                    <h2>
                        Add media file from URL</h2>
                    <label class="label">
                        Image URL
                    </label>
                    <input id="ImageURL" class="full-width" type="text" />
                    <label class="label">
                        Image Title
                    </label>
                    <input id="ImageTitle" class="full-width" type="text" />
                    <label class="label">
                        Image Alt
                    </label>
                    <input id="ImageAlt" class="full-width" type="text" />
                    <label class="help">
                        Alternate text (Alt) - Shows if image cannot be displayed.
                    </label>
                    <table>
                        <tr>
                            <td>
                                <label class="label">
                                    Width</label>
                                <input id="ImageWidth" type="text" name="Width" value="" />
                                px
                            </td>
                            <td width="25">
                            </td>
                            <td>
                                <label class="label">
                                    Height</label>
                                <input id="ImageHeight" type="text" name="Width" value="" />
                                px
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div id="media">
            <div class="image-library">
                <div class="admin-form">
                    <div class="admin-box">
                        <h2>
                            Images</h2>
                        <label class="label">
                            Folders
                        </label>
                        <select id="Directories" onchange="onFolderChanged_media_library()" class="full-width"
                            runat="server">
                        </select>
                        <label class="label">
                            Images
                        </label>
                        <div id="FileListContainer" class="mid-width" runat="server">
                        </div>
                        <table style="width: 370px; float: left;">
                            <tr>
                                <td colspan="2">
                                    <label class="label">
                                        Alt
                                    </label>
                                    <input id="image_alt" type="text" name="Alt" value="" style="width: 380px" />
                                    <label class="help">
                                        Alternate text (Alt) - Shows if image cannot be displayed.
                                    </label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label class="label">
                                        Width
                                    </label>
                                    <input id="image_width" type="text" name="Width" value="" />
                                    px
                                </td>
                                <td>
                                    <label class="label">
                                        Height
                                    </label>
                                    <input id="image_height" type="text" name="Height" value="" />
                                    px
                                </td>
                            </tr>
                        </table>
                        <div id="ImagePreview">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
