﻿using System;
using System.Collections;
using visinia.SmartEngine;
using visinia.SmartEngine.Modules;

public partial class Modules_General_RSS_Settings : WebSettingsModule
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Count.Value = WebHelpers.Int32ParseSafe((string)Settings["Count"], 3).ToString();            
            Url.Value = (string)Settings["Url"];
        }
    }

    public override void SaveSettings(Hashtable data)
    {
        AddSetting("Count", (string)data["Count"]);
        AddSetting("Url", (string)data["Url"]);
    }
}
