﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ThreadList.ascx.cs" Inherits="Modules_viForum_ThreadList_ThreadList" %>

    <%--for client side code--%>
<input id="ForumId" class="ForumId" runat="server" type="hidden" />
<div class="admin-panel">
<asp:LoginView ID="LoginView1" runat="server">
    <AnonymousTemplate>
        <a href='<%# visinia.SmartEngine.WebRoots.GetWebRoot + "Signup.aspx" %>'>
            Register</a> or
        <asp:LoginStatus ID="LoginStatus1" runat="server" Font-Bold="True" />
        to add topic
    </AnonymousTemplate>
    <LoggedInTemplate>
        <strong><asp:LinkButton ID="AddThread" runat="server" onclick="AddThread_Click">Add Topic</asp:LinkButton></strong>
    </LoggedInTemplate>
</asp:LoginView>
</div><br /><br />
<asp:Repeater ID="ThreadList" runat="server" 
    onitemcommand="ThreadList_ItemCommand">
    <HeaderTemplate>   
    <div class="forum">     
        <table>
            <tr class="header">
                <th>
                </th>
                <th>
                    TOPICS
                </th>
                <th>
                    POSTS
                </th>
                <th>
                    LAST POST
                </th>
            </tr>
    </HeaderTemplate>
    <ItemTemplate>
       <tr class="item-row">         
            <td><img class="image" alt="<%# Eval("Title") %>" src='<%# ResolveUrl("images/forum.png") %>' /></td>
            <td width="70%">
                <h4 class="title" >
                    <a href='<%# Eval("Url") %>'>
                        <%# Eval("Title") %>
                    </a></h4>
                        <span>from <%# Eval("User") %></span>
                <asp:LoginView ID="LoginView1" runat="server">
                    <LoggedInTemplate>
                        <div class="admin-panel">
                            <%--<asp:LinkButton id="btnModeratorApprove" Runat="server" Visible="False" CommandName="approve" CommandArgument='<%# Eval("TopicID") %>'>&bull;<b>approve</b></asp:LinkButton>--%>
                            <asp:LinkButton Visible='<%# Eval("IsAdmin") %>' OnClientClick="if(!confirm('Are you sure?')) return false;"
                                ID="btnModeratorDelete" runat="server" CommandName="delete" CommandArgument='<%# Eval("ThreadId") %>'>delete</asp:LinkButton>
                        </div>
                    </LoggedInTemplate>
                </asp:LoginView>
                
            </td>
            <td class="count">             
                <%# Eval("PostCount")%>
            </td>
            <td class="post">                
                <%# Eval("LatestPost")%>
            </td>          
            
        </tr>
    </ItemTemplate>
    <FooterTemplate>
        </table></div>
    </FooterTemplate>
</asp:Repeater>
<div class="admin-panel">
<asp:LoginView ID="LoginView2" runat="server">
    <AnonymousTemplate>
        <a href='<%# visinia.SmartEngine.WebRoots.GetWebRoot + "Register.aspx" %>'>
            Register</a> or
        <asp:LoginStatus ID="LoginStatus1" runat="server" Font-Bold="True" />
        to add topic
    </AnonymousTemplate>
    <LoggedInTemplate>
        <strong><asp:LinkButton ID="AddThread" runat="server" onclick="AddThread_Click">Add Topic</asp:LinkButton></strong>
    </LoggedInTemplate>
</asp:LoginView>
</div><br /><br />