﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ThreadView.ascx.cs" Inherits="Modules_viForum_ThreadView_ThreadView" %>
<%--for client side code--%>
<input id="hForumId" class="hForumId" runat="server" type="hidden" />
<input id="hThreadId" class="hThreadId" runat="server" type="hidden" />
<input id="hThreadTitle" class="hThreadTitle" runat="server" type="hidden" />
<asp:Repeater ID="ThreadViewList" runat="server" onitemcommand="ThreadViewList_ItemCommand">
    <HeaderTemplate>
        <div class="forum">
            <h2>
                <%# GetThreadTitle() %></h2>
            <div class="admin-panel">
                <asp:LoginView ID="LoginView1" runat="server">
                    <AnonymousTemplate>
                        <a href='<%# visinia.SmartEngine.WebRoots.GetWebRoot + "Signup.aspx" %>'>Register</a>
                        or
                        <asp:LoginStatus ID="LoginStatus1" runat="server" Font-Bold="True" />
                        to add reply
                    </AnonymousTemplate>
                    <LoggedInTemplate>
                        <strong>
                            <asp:LinkButton ID="AddReply" runat="server" OnClick="AddReply_Click">Add Reply</asp:LinkButton></strong>
                        <%--<div class="EditorContainer" id="EditorContainer" runat="server" style="width: 600px"></div>        --%>
                    </LoggedInTemplate>
                </asp:LoginView>
            </div>
            <br />
            <br />
            <table id="ThreadViewList">
                <tr class="header">
                    <th>
                        AUTHOR
                    </th>
                    <th>
                        MESSAGE
                    </th>
                </tr>
    </HeaderTemplate>
    <ItemTemplate>
        <tr class="item-row">
            <td class="post" style="width: 140px">
                <em>
                    <%# Eval("UserName")%></em><br />
                Posts:
                <%# GetUserPostsCount((string)Eval("UserName"))%>
            </td>
            <td class="post">
                Posted:
                <%# Eval("Date") %>
                <hr />
                <br />
                <%# Eval("Content") %>              
            </td>
        </tr>        
    </ItemTemplate>
    <AlternatingItemTemplate>
        <tr valign="top" bgcolor="#E9E9E9">
            <td class="post" style="width: 140px">
                <em>
                    <%# Eval("UserName")%></em><br />
                Posts:
                <%# GetUserPostsCount((string)Eval("UserName"))%>
            </td>
            <td class="post">
                Posted:
                <%# Eval("Date") %>
                <hr />
                <br />
                <%# Eval("Content") %>

                <%--<asp:LoginView ID="LoginView1" runat="server">
                    <LoggedInTemplate>
                        <div class="admin-panel">
                           <asp:LinkButton Visible='<%# IsAdmin() %>'
                                ID="LinkButtonEdit" runat="server" CommandName="edit" CommandArgument='<%# Eval("ReplyId") %>'>edit</asp:LinkButton>
                                |
                            <asp:LinkButton Visible='<%# IsAdmin() %>' OnClientClick="if(!confirm('Are you sure?')) return false;"
                                ID="btnModeratorDelete" runat="server" CommandName="delete" CommandArgument='<%# Eval("ReplyId") %>'>delete</asp:LinkButton>
                        </div>
                    </LoggedInTemplate>
                </asp:LoginView>--%>

            </td>
        </tr>
    </AlternatingItemTemplate>
    <FooterTemplate>
        </table></div>
        <div class="admin-panel">
            <asp:LoginView ID="LoginView2" runat="server">
                <AnonymousTemplate>
                    <a href='<%# visinia.SmartEngine.WebRoots.GetWebRoot + "Signup.aspx" %>'>Register</a>
                    or
                    <asp:LoginStatus ID="LoginStatus1" runat="server" Font-Bold="True" />
                    to add reply
                </AnonymousTemplate>
                <LoggedInTemplate>
                    <strong>
                        <asp:LinkButton ID="AddReply" runat="server" OnClick="AddReply_Click">Add Reply</asp:LinkButton></strong>
                    <%--<div class="EditorContainer" id="EditorContainer" runat="server" style="width: 600px"></div>        --%>
                </LoggedInTemplate>
            </asp:LoginView>
        </div>
        <br />
        <br />
    </FooterTemplate>
</asp:Repeater>
