﻿using System;
using System.Collections;
using visinia.SmartEngine;
using visinia.SmartEngine.Modules;

public partial class Modules_viWiki_WikiPageList_Settings : WebSettingsModule
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Count.Value = WebHelpers.Int32ParseSafe((string)Settings["Count"], 3).ToString();
            Namespace.SelectedValue = (string)Settings["Namespace"];
        }        
    }

    public override void SaveSettings(Hashtable data)
    {
        AddSetting("Count", (string)data["Count"]);
        AddSetting("Namespace", (string)data["Namespace"]);
    }
}
