﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="login.aspx.cs" Inherits="login" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Visinia login page</title>
    <meta name='robots' content='noindex,nofollow' />
    <style type="text/css">
        body{
            background-color: #F3F3F3;
        }
        .settings-box
        {
            padding: 20px;
            border: thin solid #E1E1E1;
            top: 170px;
            left: 330px;
            position: absolute;
            width: 300px;
            background-color: #FFFFFF;
        }
        .settings-box label
        {
            text-align: left;
            float: left;
            color: #7A7A7A;
            display: block;
            width: 40%;
            clear: left;
        }
        .settings-box input
        {
            padding: 4px;
            border: solid 1px #ddd;
            width: 275px;
            margin-top: 2px;
            margin-bottom: 2px;
        }
        .settings-box #Login1_RememberMe{
            width: 150px;
            border: medium solid #FFFFFF !important;
            clear: right; outline-style:none;
        }
        .settings-box .extra
        {
            float: right;
            font-size: 12px;
            padding: 4px;
            margin: 2px 0 2px 0;
        }        
        .settings-box .button
        {
            width: 100px !important;
        }
        .settings-box .button:hover
        {
            border: solid 1px #bbb;
        }
        .settings-box .button.important
        {
            color: #000;
            border: solid 1px #990000;
            background: #EAEAEA;
        }
        .settings-box .error
        {
            margin: 0px 0px 10px 0px;
            width: 100%;
            background: #901830;
            color: #fff;
            font: 13px/30px "Helvetica Neue" , Arial, "Liberation Sans" , FreeSans, sans-serif;
            text-align: center;
            vertical-align: middle;
            font-weight: bold;
        }
        .settings-box h1
        {
            padding: 0;
            font: italic 24px/35px Georgia, "Times New Roman" , "Bitstream Charter" , Times, serif;
            color: #5a5a5a;
            text-align: left;
            margin-bottom: 5px;
            margin-top: 0px;
        }
        #TopNavigation{
            padding: 0px;
            float: right;
            margin-bottom: 0px;
            margin-top: 0px;
        }
        #visiniaLogo{
            top: 100px;
            left: 405px;
            position: absolute;}
    </style>
</head>
<body>
    <form id="form1" runat="server">        
    <a href="http://www.visinia.com" ><asp:Image ToolTip="Powered by visinia CMS" ID="visiniaLogo" runat="server" /></a>
    <div class="settings-box">    
    <asp:HyperLink ID="TopNavigation" NavigateUrl="~/" runat="server">View Site</asp:HyperLink>
        <asp:Login ID="Login1" runat="server" DestinationPageUrl="~/Default.aspx" 
            VisibleWhenLoggedIn="False" FailureText="Invalid Username or Password">
            <LayoutTemplate>                
            <h1>Log-in</h1>
                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Username</asp:Label>
                <asp:TextBox ID="UserName" runat="server"></asp:TextBox>
                <div class="extra">
                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                        ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="Login1">*</asp:RequiredFieldValidator>
                </div>
                <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Password</asp:Label>
                <asp:TextBox ID="Password" runat="server" TextMode="Password"></asp:TextBox>
                <div class="extra">
                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                        ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="Login1">*</asp:RequiredFieldValidator>
                </div>
                <asp:CheckBox ID="RememberMe" runat="server" Text="Remember me" />
                <div class="error">
                <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                </div>
                <asp:Button CssClass="button important" ID="LoginButton" runat="server" CommandName="Login" Text="Log In" ValidationGroup="Login1" />
            </LayoutTemplate>
        </asp:Login>
    </div>
    </form>
</body>
</html>
