﻿
namespace ErrorPageZ.Classes
{
    public class StatusCodeInfo
    {
        public StatusCodeInfo(int StatusCode, string name, string description)
        {
            statusCode = StatusCode;
            Name = name;
            Description = description;
        }

        private int _statusCode;
        /// <summary>
        /// The HTTP status code that will result in redirection to the error page.
        /// </summary>
        public int statusCode
        {
            get { return _statusCode; }
            set { _statusCode = value; }
        }

        private string _Name;
        /// <summary>
        /// The HTTP status code Name
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }

        private string _Description;
        /// <summary>
        /// The HTTP status code Description
        /// </summary>
        public string Description
        {
            get { return _Description; }
            set { _Description = value; }
        }

        private string _redirect;
        /// <summary>
        /// The URL of the custom page mapped to the error code.
        /// </summary>
        public string redirect
        {
            get { return _redirect; }
            set { _redirect = value; }
        }

        private bool _Set;
        public bool Set
        {
            get { return _Set; }
            set { _Set = value; }
        }

        private int _PageId;
        /// <summary>
        /// The visinia page id associated with the custom error
        /// </summary>
        public int PageId
        {
            get { return _PageId; }
            set { _PageId = value; }
        }
    }
}
