﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using visinia.SmartEngine.Cache;

namespace viBlog.Classes
{
    /// <summary>
    /// A utility class for easy access diffrent paths of blog
    /// </summary>
    public class viBlogWebRoots
    {
        public static string GetImagesRoot()
        {
            string root = (string)DataCache.GetCache("viBlog_ImagesRoot");
            if (root == null)
            {
                root = "viBlog/Images/";
                DataCache.SetCache("viBlog_ImagesRoot", root);
            }
            return root;
        }
    }
}
