﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace viNews.Classes
{
    /// <summary>
    /// A Category of a News
    /// </summary>
    public class Category
    {
        public Category()
        {
        }

        public Category(string Name, int ParentId)
        {
            _Name = Name;
            _ParentId = ParentId;
        }

        private int _CategoryId;
        /// <summary>
        /// The unique id of Category
        /// </summary>
        public int CategoryId
        {
            get { return _CategoryId; }
            set { _CategoryId = value; }
        }

        private int _ParentId;
        /// <summary>
        /// The id of the parent category of a Category
        /// </summary>
        public int ParentId
        {
            get { return _ParentId; }
            set { _ParentId = value; }
        }

        private string _Name;
        /// <summary>
        /// Name of the Category
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
        private int _PageId;
        /// <summary>
        /// The page associated with the Category
        /// </summary>
        public int PageId
        {
            get { return _PageId; }
            set { _PageId = value; }
        }
        private int _ContentPageId;
        /// <summary>
        /// The content page associated with the category
        /// </summary>
        public int ContentPageId
        {
            get { return _ContentPageId; }
            set { _ContentPageId = value; }
        }
    }
}
