﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace viNews.Classes
{
    /// <summary>
    /// Tag for a News
    /// </summary>
    public class Tag
    {
        public Tag()
        { }
        public Tag(string name)
        {
            _Name = name;
        }

        private int _TagId;
        /// <summary>
        /// The unique id of the tag
        /// </summary>
        public int TagId
        {
            get { return _TagId; }
            set { _TagId = value; }
        }
        private string _Name;
        /// <summary>
        /// Name or title of the tag
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
    }
}
