﻿using System;

namespace viWiki.Classes
{
    public class WikiPage
    {
        private int _WikiPageId;
        /// <summary>
        /// The unique id of WikiPage
        /// </summary>
        public int WikiPageId
        {
            get { return _WikiPageId; }
            set { _WikiPageId = value; }
        }

        private int _NamespaceInfoId;
        /// <summary>
        /// The wiki page namespace id
        /// </summary>
        public int NamespaceInfoId
        {
            get { return _NamespaceInfoId; }
            set { _NamespaceInfoId = value; }
        }

        private string _Name;
        /// <summary>
        /// The WikiPage Name
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }

        private string _Content;
        /// <summary>
        /// The WikiPage Content
        /// </summary>
        public string Content
        {
            get { return _Content; }
            set { _Content = value; }
        }

        private DateTime _Date;
        /// <summary>
        /// The WikiPage Date
        /// </summary>
        public DateTime Date
        {
            get { return _Date; }
            set { _Date = value; }
        }

        private string _Author;
        /// <summary>
        /// The WikiPage Author
        /// </summary>
        public string Author
        {
            get { return _Author; }
            set { _Author = value; }
        }
        private string _Url;
        /// <summary>
        /// Url for the wikipage
        /// </summary>
        public string Url
        {
            get { return _Url; }
            set { _Url = value; }
        }
    }
}
