﻿
namespace visinia.SmartEngine.Pages
{
    /// <summary>
    /// PageInfo holds the visinia specific data of the visinia webpage
    /// </summary>
    public class PageInfo
    {
        public PageInfo()
        {

        }

        public PageInfo(string name, string title, int pluginId)
        {
            Name = name;
            Title = title;
            PluginId = pluginId;
        }

        private int _PageId;             
        /// <summary>
        /// The unique page id of the webpage
        /// </summary>
        public int PageId
        {
            get
            {
                return _PageId;
            }
            set
            {
                _PageId = value;
            }
        }

        private string _Name;        
        /// <summary>
        /// Name of the page internally used
        /// </summary>
        public string Name
        {
            get
            {
                return _Name;
            }
            set
            {
                _Name = value;
            }
        }

        private string _Title;   
        /// <summary>
        /// Title of the webpage
        /// </summary>
        public string Title
        {
            get
            {
                return _Title;
            }
            set
            {
                _Title = value;
            }
        }

        private int _PluginId;
        /// <summary>
        /// The owner plugin's PluginId
        /// </summary>
        public int PluginId
        {
            get { return _PluginId; }
            set { _PluginId = value; }
        }
    }
}
