﻿using System;

namespace visinia.SmartEngine.Security
{
    public class MembershipController
    {
        /// <summary>
        /// Fired when a user is added
        /// </summary>
        public static event EventHandler<EventArgs> UserAdded;
        public static void OnUserAdded(object sender, EventArgs arg)
        {
            if (UserAdded != null)
            {
                UserAdded(sender, arg);
            }
        }

        /// <summary>
        /// Fired when a user is deleted
        /// </summary>
        public static event EventHandler<EventArgs> UserDeleted;
        public static void OnUserDeleted(object sender, EventArgs arg)
        {
            if (UserDeleted != null)
            {
                UserDeleted(sender, arg);
            }
        }
    }
}
