﻿
namespace visinia.SmartEngine
{
    public class SystemMenuPage
    {
        private string _Name;
        /// <summary>
        /// The page name
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }

        private string _FriendlyName;
        /// <summary>
        /// The page friendly name
        /// </summary>
        public string FriendlyName
        {
            get { return _FriendlyName; }
            set { _FriendlyName = value; }
        }

        private string _Control;
        /// <summary>
        /// The page ascx file path
        /// </summary>
        public string Control
        {
            get { return _Control; }
            set { _Control = value; }
        }

        private string _Visible;
        /// <summary>
        /// The page is visible in menu or not
        /// </summary>
        public string Visible
        {
            get { return _Visible; }
            set { _Visible = value; }
        }

        private string _Help;
        /// <summary>
        /// The page help file path
        /// </summary>
        public string Help
        {
            get { return _Help; }
            set { _Help = value; }
        }

        private string _Role;
        /// <summary>
        /// The role who can see this page 
        /// </summary>
        public string Role
        {
            get { return _Role; }
            set { _Role = value; }
        }

        private bool _GlobalDashboardPage;
        /// <summary>
        /// The page is visible in the main dashboard
        /// </summary>
        public bool GlobalDashboardPage
        {
            get { return _GlobalDashboardPage; }
            set { _GlobalDashboardPage = value; }
        }
    }
}
