﻿using System;
using System.IO;
using System.Web.UI;
using System.Xml;

public partial class Admin_Controls_HelpBar : System.Web.UI.UserControl
{
    public string HelpFile = null;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (string.IsNullOrEmpty(HelpFile))
            return;
        using (XmlTextReader reader = new XmlTextReader(new StringReader(HelpFile)))
        {
            if (reader.Read())
                HELP_CONTENTS.Controls.Add(new LiteralControl(reader.ReadInnerXml()));
        }
    }
}
