﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MenuItem.ascx.cs" Inherits="Admin_Pages__Menu_MenuItem_MenuItem" %>
<div class="admin-form">
    <h1>
        Menu Item</h1>
    <div class="admin-box">
        <h2>
            Menu Item</h2>
        <label class="label">
            Menu
        </label>
        <asp:DropDownList ID="Menus" runat="server" DataSourceID="ObjectDataSourceMenus"
            DataTextField="Name" DataValueField="MenuId">
        </asp:DropDownList>
        <label class="label">
            Title
        </label>
        <asp:TextBox ID="TITLE" runat="server"></asp:TextBox>
        <label class="label">
            Image
        </label>
        <asp:TextBox ID="IMAGE" runat="server"></asp:TextBox>
        <label class="label">
            Order
        </label>
        <asp:TextBox ID="ORDER" runat="server"></asp:TextBox>
        <label class="label">
            Visible
        </label>
        <asp:CheckBox ID="MENU_VISIBLE" Checked="true" runat="server" />
        <label class="label">
            Url
        </label>
        <asp:TextBox ID="URL" runat="server" CssClass="selected-url" Width="98%"></asp:TextBox>
        <table style="width: 100%">
            <tr>
                <td align="right">
                    <a id="urls-extra-controls" style="cursor: pointer">Select from Site Urls</a>
                </td>
            </tr>
            <tr>
                <td id="urls-extra-controls-container">
                    <table style="width: 100%">
                        <tr>
                            <td>
                                Select Source<br />
                                <select id="PluginList" runat="server" class="plugin-list">
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Select Url
                                <div id="url-selector" style="padding: 2px; border: 1px solid #dfdfdf; height: 100px;
                                    overflow: auto; cursor: pointer;">
                                    <asp:PlaceHolder runat="server" ID="UrlList" />
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <asp:Button CssClass="button important" ID="SAVE" runat="server" Text="Save" OnClick="SAVE_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="Cancel" OnClick="CANCEL_Click" />
    </div>
</div>
<asp:ObjectDataSource ID="ObjectDataSourceMenus" runat="server" SelectMethod="GetMenus"
    TypeName="SmartMenu.Controllers.MenuController"></asp:ObjectDataSource>
