﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MenuItems.ascx.cs" Inherits="Admin_Pages__Menu_MenuItem_MenuItems" %>
<div class="admin-form">
    <h1>
        Menus Items   
                <asp:Button CssClass="button-top" ID="NEW_MENU_ITEM" runat="server" Text="Add Menu Item"
            OnClick="NEW_MenuItem_Click" />
    
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Menu Items</h2>
        <asp:GridView ID="GridViewMenuItems" runat="server" AutoGenerateColumns="False"  OnRowCommand="GridViewMenuItems_RowCommand" 
            DataSourceID="ObjectDataSource1" EnableModelValidation="True" GridLines="None">
            <Columns>
                <asp:BoundField DataField="MenuItemId" HeaderText="Id" 
                    SortExpression="MenuItemId" />                
                <%--<asp:BoundField DataField="ParentId" HeaderText="ParentId" 
                    SortExpression="ParentId" />--%>
                <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
                <asp:BoundField DataField="Order" HeaderText="Order" SortExpression="Order" />
                <asp:CheckBoxField DataField="Visible" HeaderText="Visible" 
                    SortExpression="Visible" />
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("MenuItemId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeleteMenuItem"
                            CommandArgument='<%# Eval("MenuItemId") %>' Text="Delete"></asp:LinkButton>                            
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            SelectMethod="GetMenuItems" 
            TypeName="SmartMenu.Controllers.MenuItemController">
            <SelectParameters>
                <asp:QueryStringParameter Name="MenuId" QueryStringField="MenuId" 
                    Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </div>
</div>
