﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManagePlugins.ascx.cs" Inherits="visinia.web.admin.pages.AdminInstalledPlugins" %>
<div class="admin-form">
    <h1>
        Installed Plugins        
        <asp:Button CssClass="button-top" ID="NEW_PLUGIN" runat="server" 
            Text="Install Plugin" onclick="NEW_PLUGIN_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Installed Plugins</h2>
            <em><strong>Note:</strong> Uninstalling a plugin uninstalls all the modules of that plugin also.</em><br />
        <asp:GridView ID="PLUGINS" runat="server" AutoGenerateColumns="False" 
            DataSourceID="ObjectDataSourceINSTALLED_PLUGINS" GridLines="None"
            onrowcommand="PLUGINS_RowCommand">
            <Columns>
                <asp:BoundField DataField="PluginId" HeaderText="PluginId" 
                    SortExpression="PluginId" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="Description" HeaderText="Description" 
                    SortExpression="Description" />
                <asp:BoundField DataField="UrlSeparator" HeaderText="UrlSeparator" 
                    SortExpression="UrlSeparator" />
                <asp:BoundField DataField="Version" HeaderText="Version" 
                    SortExpression="Version" />
                <asp:ButtonField CommandName="EditPlugin" HeaderText="Edit" Text="Edit" ControlStyle-CssClass="edit" />
                <asp:ButtonField CommandName="Uninstall" HeaderText="Uninstall" Text="Uninstall" ControlStyle-CssClass="delete" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSourceINSTALLED_PLUGINS" runat="server" 
            SelectMethod="GetInstalledPlugins" 
            TypeName="visinia.SmartEngine.Installer.PluginController">
        </asp:ObjectDataSource>
    </div>
</div>
