﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="InstallerZips.ascx.cs"
    Inherits="visinia.web.admin.pages.InstallerZips" %>
<div class="admin-form">
    <h1>
        <%= Resources.translation.DeleteInstallerZipFiles%>
    </h1>
    <div class="admin-box data-table">
        <h2>
            <%= Resources.translation.DeleteInstallerZipFiles%></h2>
        <div id="Message" visible="false" class="error" runat="server">
        </div>
        <asp:Repeater ID="ZipList" runat="server" OnItemDataBound="ZipList_ItemDataBound"
            OnItemCommand="ZipList_ItemCommand">
            <HeaderTemplate>
                <table>
                    <tr>
                        <td>
            </HeaderTemplate>
            <ItemTemplate>
                <div style="background-color: #E5E5E5; clear: both; margin-bottom: 5px; font-family: Verdana;
                    color: #333333; font-size: 14px; padding-left: 10px; line-height: 20px;">
                    <asp:Button ID="DeleteZip" OnClientClick="if(!confirm('Are you sure?')) return false;"
                        CssClass="button" runat="server" CommandArgument='<%# Eval("Zip") %>' Text="<%$Resources:translation, Delete%>"
                        CommandName="DeleteZip" /><%# Eval("Zip")%>
                </div>
                <em>Zip File Contents</em>
                <table>
                    <thead style="background-color: #F4F4F4">
                        <tr>
                            <td>
                                <%= Resources.translation.Name%>
                            </td>
                            <td>
                                <%= Resources.translation.Type%>
                            </td>
                        </tr>
                    </thead>
                    <asp:Repeater ID="ContentList" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td>
                                    <%# Eval("name") %>
                                </td>
                                <td>
                                    <%# Eval("Type")%>
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
                <br />
            </ItemTemplate>
            <FooterTemplate>
                </td></tr></table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
</div>
