﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Module.ascx.cs" Inherits="visinia.web.admin.pages.InstallModule" %>
<div class="admin-form">
    <h1>
        <%= Resources.translation.InstallModule%></h1>
    <div class="admin-box">
        <h2>
            <%= Resources.translation.InstallFromYourComputer%></h2>
        <div id="Message" visible="false" class="error" runat="server">
        </div>
        <label class="label">
            <%= Resources.translation.SelectInstallationFile%>
        </label>
        <asp:FileUpload ID="ModuleFile" runat="server" CssClass="mid-width" />
        <label class="label">
            <%= Resources.translation.SaveZipForLaterInstallations%>
        </label>
        <asp:CheckBox ID="CheckBoxSaveZip" runat="server" Text="<%$Resources:translation, SaveZip%>" />
        <div class="spacer">
        </div>
        <asp:Button ID="UPLOAD" CssClass="button important" runat="server" Text="<%$Resources:translation, Install%>"
            OnClick="UPLOAD_Click" />
        <asp:Button ID="CANCEL" CssClass="button" runat="server" Text="<%$Resources:translation, Cancel%>" OnClick="CANCEL_Click" />
    </div>
    <div class="admin-box data-table">
        <h2>
            <%= Resources.translation.InstallFromServer%></h2>
        <div id="MessageLocal" visible="false" class="error" runat="server">
        </div>
        <asp:GridView ID="GridViewModules" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectDataSource1"
            OnRowCommand="GridViewModules_RowCommand" OnRowDataBound="GridViewModules_RowDataBound">
            <Columns>
                <asp:BoundField DataField="Name" HeaderText="<%$Resources:translation, Name%>" SortExpression="Name" />
                <asp:BoundField DataField="Package" HeaderText="<%$Resources:translation, Package%>" SortExpression="Package" />
                <asp:BoundField DataField="ZipFileName" HeaderText="<%$Resources:translation, ZipFileName%>" SortExpression="ZipFileName" />
                <asp:ButtonField CommandName="Install" Text="<%$Resources:translation, Install%>" HeaderText="<%$Resources:translation, Install%>" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetLocalModules"
            TypeName="visinia.SmartEngine.Installer.InstallerLocalContentController"></asp:ObjectDataSource>
    </div>
</div>
