﻿using System;
using System.Web.UI.WebControls;
using visinia.SmartEngine;
using visinia.SmartEngine.Installer;

namespace visinia.web.admin.pages
{
    public partial class InstallPlugin : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void INSTALL_Click(object sender, EventArgs e)
        {
            if (FileUploadControl.HasFile)
            {
                Message.InnerText = InstallController.InstallPlugin(FileUploadControl, CheckBoxSaveZip.Checked);
                Message.Visible = true;
                SystemMenu.RefreshMenus();
                Response.Redirect(Request.RawUrl);
            }
        }

        protected void CANCEL_Click(object sender, EventArgs e)
        {
            Response.Redirect(Request.RawUrl);
        }

        protected void GridViewPlugins_RowDataBound(object sender, System.Web.UI.WebControls.GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
                e.Row.Cells[2].Visible = (!((ContentFileInfo)e.Row.DataItem).IsInstalled);
        }

        protected void GridViewPlugins_RowCommand(object sender, System.Web.UI.WebControls.GridViewCommandEventArgs e)
        {
            if (e.CommandName == "Install")
            {
                int index = Convert.ToInt32(e.CommandArgument);
                string PluginName = GridViewPlugins.Rows[index].Cells[0].Text;
                string ZipFileName = GridViewPlugins.Rows[index].Cells[1].Text;
                MessageLocal.InnerText = InstallController.InstallPluginLocal(PluginName, ZipFileName);
                MessageLocal.Visible = true;
                SystemMenu.RefreshMenus();
                Response.Redirect(Request.RawUrl);
            }
        }
    }
}