﻿using System;
using System.Web.UI.WebControls;
using visinia.SmartEngine.Installer;

namespace visinia.web.admin.pages
{
    public partial class InstallTheme : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void UPLOAD_Click(object sender, EventArgs e)
        {
            if (ThemeFile.HasFile)
            {
                Message.InnerText = InstallController.InstallTheme(ThemeFile, CheckBoxSaveZip.Checked);
                Message.Visible = true;
            }
        }

        protected void CANCEL_Click(object sender, EventArgs e)
        {
            Response.Redirect(Request.RawUrl);
        }

        protected void GridViewThemes_RowDataBound(object sender, System.Web.UI.WebControls.GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
                e.Row.Cells[2].Visible = (!((ContentFileInfo)e.Row.DataItem).IsInstalled);
        }

        protected void GridViewThemes_RowCommand(object sender, System.Web.UI.WebControls.GridViewCommandEventArgs e)
        {
            if (e.CommandName == "Install")
            {
                int index = Convert.ToInt32(e.CommandArgument);
                string ThemeName = GridViewThemes.Rows[index].Cells[0].Text;
                string ZipFileName = GridViewThemes.Rows[index].Cells[1].Text;
                MessageLocal.InnerText = InstallController.InstallThemeLocal(ThemeName, ZipFileName);
                MessageLocal.Visible = true;
            }
        }
    }
}