﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Themes.ascx.cs" Inherits="visinia.web.admin.pages.Themes" %>
<div class="admin-form">
    <h1>
        <%= Resources.translation.Themes%> 
        <asp:Button CssClass="button-top" ID="NEW_THEME" runat="server" Text="<%$Resources:translation, InstallTheme%>"
            OnClick="NEW_THEME_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            <%= Resources.translation.CurrentTheme%> </h2>
        <table>
            <tr>
                <td>
                    <img alt="" id="CurrentThemeImage" width="150" height="113" runat="server" />
                </td>
                <td>
                    <h3>
                        <asp:Label ID="CurrentThemeName" runat="server" />
                        <asp:Label ID="CurrentThemeVersion" runat="server" />
                        &nbsp;<%= Resources.translation.by%>&nbsp;
                        <asp:HyperLink ID="CurrentThemeAuthor" runat="server"></asp:HyperLink></h3>
                    <br />
                    <asp:Label ID="CurrentThemeDescription" runat="server" Text='<%# Eval("description") %>' />
                </td>
            </tr>
        </table>
    </div>
</div>
<div class="admin-form">
    <div class="admin-box data-table">
        <h2>
            <%= Resources.translation.AvailableThemes%></h2>
        <asp:DataList ID="THEMES" runat="server" RepeatColumns="2" RepeatDirection="Horizontal"
            RepeatLayout="Table" OnItemCommand="THEMES_ItemCommand" DataKeyField="dirname">
            <ItemTemplate>
                <img alt="" src='<%# Eval("image") %>' width="240" height="180" />
                <br />
                <br />
                <h3>
                    <asp:Label ID="name" runat="server" Text='<%# Eval("name") %>' />
                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("version") %>' />
                    &nbsp;by&nbsp;
                    <asp:HyperLink ID="Author" NavigateUrl='<%# Eval("website") %>' runat="server"><%# Eval("author") %></asp:HyperLink></h3>
                </h3>
                <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("description") %>' />
                <br />
                <asp:Button ID="Activate" CssClass="button important" runat="server" CommandArgument='<%# Eval("name") %>'
                    Text="<%$Resources:translation, Activate%>" CommandName="Activate" />
                <span style="margin-left: 100px">
                    <asp:LinkButton CommandName="DleteTheme" CommandArgument='<%# Eval("name") %>'
                        ID="DeleteTheme" CssClass="delete" runat="server"><%= Resources.translation.Delete%></asp:LinkButton></span>
                <br />
                <hr />
                <br />
            </ItemTemplate>
        </asp:DataList>
    </div>
</div>
