﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Comments.ascx.cs" Inherits="Admin_Pages_viBlog_Comments_Comments" %>
<div class="admin-form">
    <h1>
        <%=Resources.viblog.Comments%>
    </h1>
    <table>
        <tr>
            <td>
                <asp:LinkButton ID="AllComments" runat="server" OnClick="AllComments_Click"><%=Resources.viblog.All%></asp:LinkButton>
                |
            </td>
            <td>
                <asp:LinkButton ID="PendingComments" runat="server" OnClick="PendingComments_Click"><%=Resources.viblog.Pending%></asp:LinkButton>
                |
            </td>
            <td>
                <asp:LinkButton ID="ApprovedComments" runat="server" OnClick="ApprovedComments_Click"><%=Resources.viblog.Approved%></asp:LinkButton>
            </td>
        </tr>
    </table>
    <br />
    <div class="admin-box data-table">
        <h2>
            <%=Resources.viblog.Comments%></h2>        
        <asp:GridView ID="COMMENTS" runat="server" AutoGenerateColumns="False" OnRowCommand="COMMENTS_RowCommand" 
             AllowPaging="True" DataKeyNames="CommentId" GridLines="None">
            <Columns>
                <asp:TemplateField HeaderText="Id" SortExpression="CommentId">
                    <ItemTemplate>
                        <asp:Label ID="LabelCommentId" runat="server" Text='<%# Bind("CommentId") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$Resources:viblog, Comment%>">
                    <ItemTemplate>
                        <em>
                            <asp:Label ID="AUTHOR" runat="server" Text='<%# Eval("Author") %>'></asp:Label></em>
                        On <em>
                            <asp:Label ID="DATE" runat="server" Text='<%# Eval("date") %>'></asp:Label></em>
                        email
                        <asp:Label ID="EMAIL" runat="server" Text='<%# Eval("Email") %>'></asp:Label>
                        <br />
                        <asp:Label ID="CONTENT" runat="server" Text='<%# Eval("Content") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$Resources:viblog, CommentStatus%>">
                    <ItemTemplate>
                    <asp:Label ID="LabelStatus" runat="server" Text='<%# Eval("Status") %>'></asp:Label>                        
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$Resources:viblog, Edit%>">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetEditLink(Convert.ToInt32(Eval("CommentId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
        <asp:TemplateField HeaderText="<%$Resources:viblog, Delete%>">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeleteComment"
                            CommandArgument='<%# Eval("CommentId") %>' Text="Delete"></asp:LinkButton>                            
                    </ItemTemplate>
                </asp:TemplateField>
        </Columns>
        <rowstyle backcolor="#ffffff" bordercolor="#f7f7f7" borderwidth="1" borderstyle="Solid" />
        <alternatingrowstyle backcolor="#f7f7f7" />
        </asp:GridView>        
    </div>
</div>
