﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManagePosts.ascx.cs" Inherits="Admin_Pages_viBlog_Posts_ManagePosts" %>
<div class="admin-form">
    <h1>
        <%=Resources.viblog.Posts%>
        <asp:Button CssClass="button-top" ID="NEW_PAGE" runat="server" Text="<%$Resources:viblog, AddPost%>" OnClick="NEW_POST_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            <%=Resources.viblog.ManageBlogPosts%></h2>
        <asp:GridView ID="GridViewPOSTS" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            OnRowCommand="GridViewPOSTS_RowCommand" DataSourceID="ObjectDataSourcePOSTS"
            GridLines="None">
            <Columns>
                <asp:BoundField DataField="PostId" HeaderText="Id" />
                <asp:TemplateField HeaderText="<%$Resources:viblog, Title%>">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Title") %>'></asp:Label><br />
                        <em>
                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("Author") %>'></asp:Label>
                            on
                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("Date") %>'></asp:Label>
                            
                        </em>
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <strong><asp:Label ID="Label4" Visible='<%# Eval("isDraft") %>' runat="server" Text="Draft" ForeColor="#CC3300"></asp:Label></strong>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$Resources:viblog, Edit%>">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("PostId"))) %>'
                            runat="server"><%=Resources.viblog.Edit%></asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="<%$Resources:viblog, Delete%>">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeletePost"
                            CommandArgument='<%# Eval("PostId") %>' Text="<%$Resources:viblog, Delete%>"></asp:LinkButton>                            
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>            
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSourcePOSTS" runat="server" SelectMethod="GetPostsAdmin"
            TypeName="viBlog.Controllers.PostController"></asp:ObjectDataSource>
    </div>
</div>
