﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PostEditor.ascx.cs" Inherits="Admin_Pages_viBlog_Posts_PostEditor" %>
<%@ Register TagPrefix="visinia" TagName="Editor" Src="~/Admin/Editor.ascx" %>
<div class="admin-form">
    <h1>
        <%=Resources.viblog.PostEditor%></h1>
    <div class="admin-box">
        <h2>
            <%=Resources.viblog.Post%></h2>
        <div id="MessageLocal" visible="false" class="error" runat="server">
            <asp:Label ID="MESSAGE" runat="server"></asp:Label>
            <asp:HyperLink ID="PreviewLink" runat="server">Preview</asp:HyperLink>
        </div>
        <input id="URL" type="text" runat="server" readonly="readonly" style="border-color: #FFF;
            width: 100%; margin-bottom: 10px; color: #808080; font-size: 10px; background-image: none;" />
        <asp:TextBox ID="TITLE" runat="server" CssClass="full-width" Font-Size="14"></asp:TextBox>
        <label class="label">
            <%=Resources.viblog.Summary%>
        </label>
        <visinia:Editor ID="SUMMARY" runat="server" Height="100"/>        
        <label class="label">
            <%=Resources.viblog.Description%>
        </label>
        <visinia:Editor ID="DESCRIPTION" Height="200" runat="server" />
    </div>
    <div class="admin-box half-box">
        <h2>
            <%=Resources.viblog.Categories%></h2>
        <table style="width: 100%">
            <tr>
                <td>
                    <input class="selected-categories" id="SelectedCategories" runat="server" type="text"
                        style="width: 100%" />
                </td>
            </tr>
            <tr>
                <td>
                    <a id="category-extra-controls"><%=Resources.viblog.SelectfromorAddNewCategory%></a>
                </td>
            </tr>
            <tr>
                <td id="category-extra-controls-container">
                    <table style="width: 100%">
                        <tr>
                            <td valign="top" width="190px">
                                <%=Resources.viblog.AddNewCategory%><br />
                                <input class="new-category" type="text" /><a id="add-category"><%=Resources.viblog.Add%></a>
                            </td>
                            <td>
                                <div class="v-separator">
                                    &nbsp</div>
                            </td>
                            <td valign="top">
                                <%=Resources.viblog.Select%>
                                <div id="category-selector">
                                    <asp:PlaceHolder runat="server" ID="CategoriesList" />
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div class="admin-box half-box">
        <h2>
            <%=Resources.viblog.Tags%></h2>
        <table style="width: 100%">
            <tr>
                <td>
                    <input class="selected-tags" id="SelectedTags" runat="server" type="text" style="width: 100%" />
                </td>
            </tr>
            <tr>
                <td>
                    <a id="tag-extra-controls"><%=Resources.viblog.SelectfromorAddNewTag%></a>
                </td>
            </tr>
            <tr>
                <td id="tag-extra-controls-container">
                    <table style="width: 100%">
                        <tr>
                            <td valign="top" width="190px">
                                <%=Resources.viblog.AddNewTag%><br />
                                <input class="new-tag" type="text" /><a id="add-tag"><%=Resources.viblog.Add%></a>
                            </td>
                            <td>
                                <div class="v-separator">
                                    &nbsp</div>
                            </td>
                            <td valign="top">
                                <%=Resources.viblog.Select%>
                                <div id="tag-selector">
                                    <asp:PlaceHolder runat="server" ID="TagsList" />
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div class="spacer"></div>
    <div class="admin-box">
        <h2>
            <%=Resources.viblog.PostData%></h2>
        <table>
            <tr>
                <td>
                    <label class="label">
                        <%=Resources.viblog.Author%>
                    </label>
                    <asp:DropDownList ID="AUTHORS" runat="server">
                    </asp:DropDownList>
                </td>
                <td width="15">
                </td>
                <td>
                    <label class="label">
                        <%=Resources.viblog.Date%>
                    </label>
                    <asp:TextBox ID="DATE" runat="server"></asp:TextBox>
                </td>
                <td width="15">
                </td>
                <td>
                    <label class="label">
                        <%=Resources.viblog.AllowComments%></label>
                    <input id="ALLOW_COMMENTS" type="checkbox" runat="server" class="allow-comments"
                        checked="checked" title="Allow Comments" />
                </td>
                <td width="15">
                </td>
                <td>
                    <label class="label">
                        <%=Resources.viblog.PostStatus%></label>
                    <asp:Label ID="POST_STATUS" runat="server" Text="" ForeColor="#CC3300"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Button CssClass="button important" ID="PUBLISH" runat="server" Text="<%$Resources:viblog, Publish%>"
            OnClick="PUBLISH_Click" />
        <asp:Button CssClass="button" ID="DRAFT" runat="server" Text="<%$Resources:viblog, SaveDraft%>" OnClick="DRAFT_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="<%$Resources:viblog, Cancel%>" OnClick="CANCEL_Click" />
    </div>
</div>
