﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageTags.ascx.cs" Inherits="Admin_Pages_viBlog_Tags_ManageTags" %>
<div class="admin-form">
    <h1>
        Blog Tags</h1>
    <div class="admin-box">
        <h2>
            Add new tag</h2>
        <label class="label">
            Name
        </label>
        <asp:TextBox ID="TextBoxNewTag" runat="server"></asp:TextBox>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="RequiredFieldValidator"
            ControlToValidate="TextBoxNewTag" Text="*" EnableTheming="False" EnableViewState="False"></asp:RequiredFieldValidator>
        <asp:Button CssClass="button important" ID="Insert" runat="server" Text="Insert"
            OnClick="Insert_Click" />
    </div>
    <div class="admin-box data-table">
        <h2>
            Manage Blog Tags</h2>
        <asp:ObjectDataSource ID="ObjectDataSourceTAGS" runat="server" SelectMethod="GetTags"
            TypeName="viBlog.Controllers.TagController" DeleteMethod="DeleteTag">
            <DeleteParameters>
                <asp:Parameter Name="TagId" Type="Int32" />
            </DeleteParameters>
        </asp:ObjectDataSource>
        <asp:GridView ID="GridViewTAGS" runat="server" AutoGenerateColumns="False" DataKeyNames="TagId"
            DataSourceID="ObjectDataSourceTAGS" GridLines="None" EnableModelValidation="True">
            <Columns>
                <asp:BoundField DataField="TagId" HeaderText="TagId" SortExpression="TagId" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:CommandField ShowDeleteButton="True" ControlStyle-CssClass="delete" HeaderText="Delete">
                    <ControlStyle CssClass="delete"></ControlStyle>
                </asp:CommandField>
            </Columns>
        </asp:GridView>
    </div>
</div>
