﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Forums.ascx.cs" Inherits="Admin_Pages_viForum_Forums_Forums" %>
<div class="admin-form">
    <h1>
        Manage Forums        
    </h1>
    <div class="admin-box data-table">
        <h2>Manage Forum Forums</h2>
<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
    DataSourceID="ObjectDataSourceForums" CellPadding="4" ForeColor="#333333" GridLines="None">
    <Columns>
        <asp:BoundField DataField="ForumId" HeaderText="ForumId" 
            SortExpression="ForumId" />
        <asp:TemplateField HeaderText="Category" SortExpression="CategoryId">            
            <ItemTemplate>
                <asp:Label ID="Label1" runat="server" Text='<%# GetCategoryTitle(Convert.ToInt32(Eval("CategoryId"))) %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
        <asp:BoundField DataField="Description" HeaderText="Description" 
            SortExpression="Description" />
        <asp:CommandField ShowDeleteButton="True" />
        <asp:TemplateField ShowHeader="False">
            <ItemTemplate>
                <asp:HyperLink ID="HyperLink1" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("ForumId"))) %>' runat="server">Edit</asp:HyperLink>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
    <RowStyle BackColor="#ffffff" BorderColor="#f7f7f7" BorderWidth="1" BorderStyle="Solid" />
            <AlternatingRowStyle BackColor="#f7f7f7" />            
</asp:GridView></div></div>
<asp:ObjectDataSource ID="ObjectDataSourceForums" runat="server" 
    SelectMethod="GetForums" TypeName="viForum.Controllers.ForumController" 
    DataObjectTypeName="viForum.Classes.Forum" DeleteMethod="DeleteForum">
</asp:ObjectDataSource>
