﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageComments.ascx.cs"
    Inherits="Admin_Pages_viNews_Comments_ManageComments" %>
<div class="admin-form">
    <h1>
        News Comments
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Approved News Comments</h2>
        <asp:GridView ID="COMMENTS" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectDataSourceComments"
            AllowPaging="True" DataKeyNames="CommentId" CellPadding="4" ForeColor="#333333"
            GridLines="None">
            <Columns>
                <asp:BoundField DataField="CommentId" HeaderText="Id" ReadOnly="True" SortExpression="CommentId" />
                <asp:TemplateField HeaderText="Data">
                    <ItemTemplate>
                        <em>
                            <asp:Label ID="Label1" runat="server" Text='<%# Eval("Author") %>'></asp:Label></em>
                        On <em>
                            <asp:Label ID="Label2" runat="server" Text='<%# Eval("date") %>'></asp:Label></em>
                        email
                        <asp:Label ID="EMAIL" runat="server" Text='<%# Eval("Email") %>'></asp:Label>
                        <br />
                        <asp:Label ID="CONTENT" runat="server" Text='<%# Eval("Content") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowDeleteButton="True" />
            </Columns>
            <RowStyle BackColor="#ffffff" BorderColor="#f7f7f7" BorderWidth="1" BorderStyle="Solid" />
            <AlternatingRowStyle BackColor="#f7f7f7" />
        </asp:GridView>
    </div>
</div>
<asp:ObjectDataSource ID="ObjectDataSourceComments" runat="server" SelectMethod="GetApprovedComments"
    TypeName="viNews.Controllers.CommentController" DeleteMethod="DeleteComment">
    <DeleteParameters>
        <asp:Parameter Name="CommentId" Type="Int32" />
    </DeleteParameters>
</asp:ObjectDataSource>
