﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ManageNews.ascx.cs" Inherits="Admin_Pages_viNews_News_ManageNews" %>
<div class="admin-form">
    <h1>
        News
        <asp:Button CssClass="button-top" ID="ADD_NEWS" runat="server" Text="Add News" OnClick="ADD_NEWS_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage News</h2>
        <asp:GridView ID="GridViewNEWS" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            OnRowCommand="GridViewNEWS_RowCommand" DataSourceID="ObjectDataSourceNEWS" CellPadding="4"
            GridLines="None">
            <Columns>
                <asp:BoundField DataField="NewsId" HeaderText="Id" />
                <asp:TemplateField HeaderText="Title">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Title") %>'></asp:Label><br />
                        <em>
                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("Author") %>'></asp:Label>
                        </em>on <em>
                            <asp:Label ID="Label4" runat="server" Text='<%# Bind("Date") %>'></asp:Label>
                        </em>in <em>
                            <asp:Label ID="Label2" runat="server" Text='<%# GetCategory(Convert.ToInt32(Eval("Category"))) %>'></asp:Label></em>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Published">
                    <ItemTemplate>
                        <div style="width: 100%" align="center">
                            <asp:Image ID="ImagePublish" ImageUrl='<%# GetImage(Convert.ToBoolean(Eval("Publish"))) %>'
                                runat="server" />
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>                
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("NewsId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeleteNews"
                            CommandArgument='<%# Eval("NewsId") %>' Text="Delete"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </div>
</div>
<asp:ObjectDataSource ID="ObjectDataSourceNEWS" runat="server" SelectMethod="GetNewsDataTable"
    TypeName="viNews.Controllers.NewsController" SelectCountMethod="GetNewsCount"
    EnablePaging="True"></asp:ObjectDataSource>
