﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewsEditor.ascx.cs" Inherits="Admin_Pages_viNews_News_NewsEditor" %>
<%@ Register TagPrefix="visinia" TagName="Editor" Src="~/Admin/Editor.ascx" %>
<%@ Register TagPrefix="visinia" TagName="CategoryDropDownList" Src="~/Admin/Pages/viNews/Categories/CategoryDropDownList.ascx" %>
<%--for client side code--%>
<input id="hNewsId" class="NewsId" runat="server" type="hidden" />
<div class="admin-form">
    <h1>
        News Editor</h1>
    <div class="admin-box">
        <h2>
            News</h2>
        <input id="URL" type="text" runat="server" readonly="readonly" style="border-color: #FFF; width: 100%; margin-bottom: 10px; color: #808080; font-size: 10px; background-image: none;" />
        <asp:TextBox ID="TITLE" CssClass="NewsTitle" runat="server" Width="100%" Font-Size="15"></asp:TextBox>
        <br />
        <label class="label">
            Summary
        </label>
        <visinia:Editor Visible="false" ID="uSUMMARY" CssClass="NewsSummary editor" Width="100%"
            Height="100" runat="server" />
        <asp:TextBox ID="SUMMARY" runat="server" Width="100%" Rows="5" TextMode="MultiLine"></asp:TextBox>
        <label class="label">
            Description
        </label>
        <visinia:Editor ID="DESCRIPTION" CssClass="NewsDescription" Height="250"
            runat="server" />
    </div>
    <div class="admin-box">
        <h2>
            Image Attachment</h2>
        <input class="NewsImageAttachmentUrl" id="NewsImageAttachmentUrl" runat="server"
            type="text" style="width: 85%" />
        <input class="ImageAttachmentButton" type="button" value="Select Image" /><br />
        <a id="NewsImageAttachmentPreviewToggle">Preview</a>
        <div class="NewsImageAttachmentPreview" id="NewsImageAttachmentPreview" runat="server">
        </div>
    </div>
    <div class="admin-box">
        <h2>
            News Tags</h2>
        <table style="width: 100%">
            <tr>
                <td>
                    <input class="NewsTags" id="NewsTags" runat="server" type="text" style="width: 100%" />
                </td>
            </tr>
            <tr>
                <td>
                    <a id="tag-extra-controls">Select from or Add New Tag</a>
                </td>
            </tr>
            <tr>
                <td id="tag-extra-controls-container">
                    <table style="width: 100%">
                        <tr>
                            <td valign="top" width="190px">
                                Add New Tag<br />
                                <input class="new-tag" type="text" /><a id="add-tag">Add</a>
                            </td>
                            <td>
                                <div class="v-separator">
                                    &nbsp</div>
                            </td>
                            <td valign="top">
                                Select
                                <div id="tag-selector">
                                    <asp:PlaceHolder runat="server" ID="TagsList" />
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div class="admin-box">
        <h2>
            News Categories</h2>
        <label class="label">
            Category
        </label>
        <visinia:CategoryDropDownList CssClass="NewsCategory" runat="server" ID="CATEGORY" />
    </div>
    <div class="admin-box">
        <h2>
            News Data</h2>
        <label class="label">
            Author :
        </label>
        <asp:DropDownList ID="AUTHORS" CssClass="NewsAuthors" runat="server">
        </asp:DropDownList>
        <label class="label">
            Date :
        </label>
        <asp:TextBox CssClass="NewsDate" ID="DATE" runat="server"></asp:TextBox>
    </div>
    <div class="admin-box">
        <h2>
            Save News</h2>
        <label class="label">
            Publish :
        </label>
        <asp:CheckBox ID="PUBLISH" CssClass="NewsPublish" runat="server" />
        <asp:Button CssClass="button important" ID="SAVE" runat="server" Text="Save" OnClick="SAVE_Click" />
        <asp:Button CssClass="button" ID="CANCEL" runat="server" Text="Cancel" OnClick="CANCEL_Click" />
        <%--<input cssclass="button" id="SaveNews" type="button" value="SaveNews" />--%>
    </div>
</div>
