﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Pages.ascx.cs" Inherits="Admin_Pages_viPage_Pages" %>
<div class="admin-form">
    <h1>
        Pages
       <asp:Button CssClass="button-top" ID="NEW_PAGE" runat="server" Text="Add Page" 
            onclick="NEW_PAGE_Click" />
    </h1>
    <div class="admin-box data-table">
        <h2>
            Manage Pages</h2> 
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" GridLines="None"
            DataSourceID="ObjectDataSourcePages" EnableModelValidation="True" 
            onrowcommand="GridView1_RowCommand">
            <Columns>
                <asp:BoundField DataField="PageId" HeaderText="PageId" 
                    SortExpression="PageId" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
                <asp:TemplateField HeaderText="Preview" ShowHeader="False">
                    <ItemTemplate>
                        <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="false" 
                            CommandArgument='<%# Eval("PageId") %>' CommandName="PreviewPage" Text="Preview"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="DesignPage" ShowHeader="False">
                    <ItemTemplate>
                        <asp:LinkButton ID="LinkButton3" runat="server" CausesValidation="false" 
                            CommandArgument='<%# Eval("PageId") %>' CommandName="DesignPage" Text="Design"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Edit">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" CssClass="edit" NavigateUrl='<%# GetLink(Convert.ToInt32(Eval("PageId"))) %>'
                            runat="server">Edit</asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:LinkButton CssClass="delete"
                            ID="LinkButton1" runat="server" CausesValidation="false" CommandName="DeletePage"
                            CommandArgument='<%# Eval("PageId") %>' Text="Delete"></asp:LinkButton>                            
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>       
        <asp:ObjectDataSource ID="ObjectDataSourcePages" runat="server" 
            SelectMethod="GetPages" TypeName="viPage.Controllers.viPageController">
        </asp:ObjectDataSource>
    </div>
</div>
