﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WikiPageEditor.ascx.cs"
    Inherits="Admin_Pages_viWiki_WikiPageEditor" %>
<%@ Register TagPrefix="visinia" TagName="Editor" Src="~/Admin/Editor.ascx" %>
<div class="admin-form">
    <h1>
        Wiki Page Editor</h1>
    <div class="admin-box">
        <h2>
            Wiki Page</h2>
        <div id="MessageLocal" visible="false" class="error" runat="server">
            <asp:Label ID="MESSAGE" runat="server"></asp:Label>
            <asp:HyperLink ID="PreviewLink" runat="server">Preview</asp:HyperLink>
        </div>
        <asp:TextBox ID="NAME" runat="server" CssClass="full-width" Font-Size="15"></asp:TextBox>       
        <label class="label">
            Contents
        </label>
        <visinia:Editor ID="CONTENT" CssClass="editor" Height="200" runat="server" />
    </div>
    <div class="admin-box">
        <h2>
            Wiki Page Data</h2>
        <table cellspacing="10">
            <tr>
                <td>
                    <label class="label">
                        Namespace
                    </label>
                    <asp:DropDownList ID="NAMESPACE" runat="server" DataSourceID="ObjectDataSourceNamespaces"
                        DataTextField="Name" DataValueField="NamespaceInfoId">
                    </asp:DropDownList>
                    <asp:ObjectDataSource ID="ObjectDataSourceNamespaces" runat="server" SelectMethod="GetNamespaces"
                        TypeName="viWiki.Controllers.NamespaceController"></asp:ObjectDataSource>
                </td>
                <td>
                    <label class="label">
                        Author
                    </label>
                    <asp:DropDownList ID="AUTHORS" runat="server">
                    </asp:DropDownList>
                </td>
                <td>
                    <label class="label">
                        Date
                    </label>
                    <asp:TextBox ID="DATE" runat="server"></asp:TextBox>
                </td>
            </tr>
        </table>
    </div>
    <div class="admin-box">
        <h2>
            Save</h2>        
        <asp:Button CssClass="button important" ID="Button1" runat="server" Text="Save" OnClick="SAVE_Click" />
        <asp:Button CssClass="button" ID="Button2" runat="server" Text="Cancel" OnClick="CANCEL_Click" />
    </div>
</div>
