﻿$(function () {
    pluginMenu();
    Menu();

    $('.delete').jConfirmAction();
    // data tables
    $('.data-table tbody tr:even').addClass('evenTr');
    // admin box    
    $('.admin-box h2').click(function () {
        $(this).siblings().toggle();
    });
});

function pluginMenu() {
    // admin side bar accordion
    $('#plugin-menu').accordion({
        collapsible: true,
        autoHeight: false
    });
        
    var header = $('.header').val();
    var page = $('.page').val();
    // system menu
    var systemIndex = $('#system-menu li .menu-header:contains(' + header + ')').parent('li').attr('id');
    if (systemIndex) {
        $('#system-menu li .menu-header:contains(' + header + ')').parent('li').children('a').addClass('current-page');
        $('#system-menu li .menu-header:contains(' + header + ') + ul .' + page + ' a').addClass('current-page');
    } 
    // plugin accordion
    var pluginIndex = $('#plugin-menu li .menu-header:contains(' + header + ')').parent('li').attr('id');
    if (pluginIndex){
        var selected = pluginIndex.substr(6);
        if (selected != 0)
            $('#plugin-menu').accordion('activate', parseInt(selected));
        $('#plugin-menu li .menu-header:contains(' + header + ')').parent('li').addClass('activeHeader');
        $('#plugin-menu li .menu-header:contains(' + header + ') + ul .' + page + ' a').addClass('active');
    } 
    else
        $('#plugin-menu').accordion('activate', false);
}

function Menu() {
    $('#url-selector a').click(function () {
        $('.selected-url').val($(this).text());
    });
    $('#urls-extra-controls-container').hide();
    $('#urls-extra-controls').click(function () {
        $('#urls-extra-controls-container').toggle();
    });
    
    $('#url-selector div').hide();
    $('#url-selector div.' + $('.plugin-list').val()).show();
    $('.plugin-list').change(function () {
         $('#url-selector div').hide();
        $('#url-selector div.' + $(this).val()).show();      
    }); 
}