﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Forums.ascx.cs" Inherits="Modules_viForum_Forums" %>
<asp:Repeater ID="ForumsCategoryList" Runat="server" 
    onitemdatabound="ForumsCategoryList_ItemDataBound" >
		<HeaderTemplate>
			<div class="forum">
            <table>
                <tr class="header">
                    <th>
                    </th>
                    <th>
                        FORUM
                    </th>
                    <th>
                        TOPICS
                    </th>
                    <th>
                        POSTS
                    </th>
                    <th>
                        LAST POST
                    </th>
                </tr>
		</HeaderTemplate>
		<ItemTemplate>
			<tr>
				<td class="category" colspan="5"><h2><%# Eval("ForumCategory") %></h2></td>
			</tr>
			<asp:repeater id="ForumsList" runat="server">            
				<ItemTemplate>
					<tr class="item-row">
						<td><img class="image" alt="<%# Eval("ForumTitle")%>" src='<%# ResolveUrl("images/forum.png") %>' /></td>
						<td style="width:60%;"><h3 class="title" >
						    <a href='<%# Eval("ForumUrl") %>'><%# Eval("ForumTitle")%></a>
						    </h3>			
							<p class="description"><%# Eval("ForumDescription") %></p>
						</td>
						<td class="count"><%# Eval("ForumThreadCount")%></td>						    
					    <td class="count"><%# Eval("ForumPostCount")%></td>						    
						<td class="post" style="width:20%;"><%# Eval("ForumLatestPost")%></td>
					</tr>
				</ItemTemplate>
                </asp:repeater>
		</ItemTemplate>
		<FooterTemplate>
			</table></div>
		</FooterTemplate>
	</asp:Repeater>