﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="viBlog.Classes.PostView" %>

<% if (PreviousPost != null){ %><a href='<%= PreviousPost.Url %>'><strong>Previous Post :&nbsp;&nbsp;</strong><%= PreviousPost.Title%></a><% } %>
<% if (NextPost != null){ %><br /><a href='<%= NextPost.Url %>'><strong>Next Post :&nbsp;&nbsp;</strong><%= NextPost.Title%></a><% } %>
<div class="post">
    <h2 class="post-title"><a href='<%= Post.Url %>'><%= Post.Title %></a></h2>  
    <p class="post-meta">
        Posted by <a href="">
            <%= Post.Author %></a> on
            <%= Post.Date.ToString("MMMM d yyyy") %><br />
            Filed under
            <%= GetCategories() %>
            | <a href='<%= Post.Url + "#Comments" %>' >Comments (<%= GetCommentsCount()%>)</a></p>
    <div class="post-body">
        <p>
            <%= Post.Summary %>
        </p>
        <p>
            <%= Ads %></p>
        <p>
            <%= Description %></p>
        <p>
            <a href='<%= Post.Url %>' class="post-readmore" style="visibility: <%= ShowFullPost == true ? "hidden" : "visible" %>">
                Read more</a></p>
    </div>
</div>
